# Renderd7-nightly: nlohmann::detail::exception Class Reference

nlohmann::detail::exception Class Reference

general exception of the basic_json class More...

`#include <json.hpp>`

Inheritance diagram for nlohmann::detail::exception:

## Public Member Functions

const JSON_HEDLEY_RETURNS_NON_NULL char * | what () const noexcept override
| returns the explanatory string

## Public Attributes

const int | id
| the id of the exception

## Private Attributes

std::runtime_error | m
| an exception object as storage for error messages

## Detailed Description

general exception of the basic_json class

This class is an extension of `std::exception` objects with a member id for exception ids. It is used as the base class for all exceptions thrown by the basic_json class. This class can hence be used as "wildcard" to catch exceptions.

Subclasses:

- parse_error for exceptions indicating a parse error
- invalid_iterator for exceptions indicating errors with iterators
- type_error for exceptions indicating executing a member function with a wrong type
- out_of_range for exceptions indicating access out of the defined range
- other_error for exceptions indicating other library errors

@liveexample{The following code shows how arbitrary library exceptions can be caught.,exception}

Since
  version 3.0.0